LASTLOG2(8)

NUME
lastlog2 - afișează data ultimei autentificări pentru toți utilizatorii sau pentru unul anume

REZUMAT

lastlog2 [opțiuni]

DESCRIERE

lastlog2 afișează conținutul ultimei baze de date de autentificare. Vor fi afișate login-name, last-login-time, tty și remote-host. În mod implicit (fără opțiuni), sunt afișate toate intrările de la ultima autentificare, în ordinea în care au fost scrise prima dată în baza de date.

Dacă un utilizator nu s-a autentificat niciodată, în coloana last-login-time (Data ultimei autentificări) se afișează mesajul **Never logged in** (Nu s-a autentificat niciodată).

Vor fi afișate numai intrările pentru utilizatorii actuali ai sistemului. Este posibil să existe și alte intrări pentru utilizatori care au fost șterși între timp.

În comparație cu lastlog(8), această comandă evită problema anului 2038. și utilizează SQLite3 în locul unui fișier dispers (sparse) pentru stocarea informațiilor.

OPȚIUNI

-a, --active
    Nu afișează intrări pentru utilizatorii care nu s-au autentificat niciodată.

-b, --before zile
    Afișează numai ultimele înregistrări de autentificare mai vechi de zile.

-C, --clear
    Șterge ultima înregistrare de autentificare a unui utilizator. Această opțiune poate fi utilizată numai împreună cu opțiunea -u' (--user*).

-d, --database fișier
    Utilizează fișier ca bază de date lastlog2.

-i, --import fișier
    Importă date din vechiul fișier lastlog numit fișier. Intrările existente în baza de date lastlog2 vor fi suprascrise.

-r, --rename nume-nou
    Redenumește utilizatorul specificat cu -u la acest nume-nou Această opțiune poate fi utilizată numai împreună cu opțiunea -u (--user).

-s, --service
    Afișează serviciul PAM utilizat pentru autentificare în ultima coloană.

-S, --set
    Stabilește ultima înregistrare de autentificare a unui utilizator la ora curentă. Această opțiune poate fi utilizată numai împreună cu opțiunea -u (--user).

-t, --time zile
    Afișează numai ultimele înregistrări de autentificare mai recente de zile.

-u, --user nume-utilizator
    Afișează doar ultima înregistrare de autentificare a utilizatorului nume-utilizator.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

FIȘIERE

/var/lib/lastlog/lastlog2.db
    Fișier de bază de date de jurnalizare a autentificării al Lastlog2

AUTORI

lastlog2 a fost scris de Thorsten Kukuk pentru liblastlog2(3).

CONSULTAȚI ȘI

liblastlog2(3)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lastlog2 face parte din pachetul util-linux care poate fi descărcat de la